/*****************************************************************************
 * freecnc.h - header file for freecnc 
 *
 ****************************************************************************/
#ifndef __FREECNC_H
#define __FREECNC_H

#include "SDL.h"
#include "args.h"
#include "graphicsengine.h"
#include "soundengine.h"

#define VERSION "0.2.0-tp2"

/* game definitions for which game to play */
#define GAME_TD 1
#define GAME_TD_DEMO 4
#define GAME_RA 3

/* The FreeCNC class, for more info see freecnc.cpp */
class FreeCNC {
public:
    FreeCNC(Args *arg);
    ~FreeCNC();
    void run();
private:
    Args *arg;
    GraphicsEngine *gfxengine;
    SoundEngine *sndengine;
};

#endif
