#ifndef __MEMTRACK_H
#define __MEMTRACK_H

#if defined _DEBUG && !defined _WIN32

#include <stdlib.h>

extern void AddTrack(unsigned int addr,  unsigned int asize,
                         const char *fname, unsigned int lnum, bool array);
extern void RemoveTrack(unsigned int addr, bool array);
extern void DumpUnfreed();


//#ifdef _DEBUG
void * operator new(unsigned int size, const char *file,
                    int line);
void operator delete(void *p);

//void * operator new[](unsigned int size);
void * operator new[](unsigned int size, const char *file,
                      int line);
void operator delete[](void *p);

#define new new(__FILE__, __LINE__)

#endif

/* __cdecl innan operator */

/*
#ifdef _DEBUG
#define DEBUG_NEW new(__FILE__, __LINE__)
#else
#define DEBUG_NEW new
#endif
#define new DEBUG_NEW
*/
#endif
