public class Arguments {

    public void readout (Values val2, String[] args, Info info) {
        int count = 0;
        for (int a=0; a<=args.length-1; a+=2) {
            //System.out.println (a + " ---- " + args[a] + " -> " + args[a+1]);
            if ( args[a].indexOf("--port") != -1 ) {
                // System.out.println ("option port found with value : " + args[a+1]); }
                val2.port(Integer.parseInt (args[a+1]));
            }
            else { count++; }

            if ( args[a].indexOf("-map") != -1 ) {
                // System.out.println ("option map found with value : " + args[a+1]); }
                val2.map(args[a+1]);
            }
            else { count++; }

            if ( args[a].indexOf("-numplayers") != -1 ) {
                // System.out.println ("option numplayers found with value : " + args[a+1]); }
                val2.numplayers(Integer.parseInt(args[a+1]));
            }
            else { count++; }

            if ( args[a].indexOf("-maxplayers") 	!= -1 ) {
                // System.out.println ("option maxplayers found with value : " + args[a+1]); }
                val2.maxplayers (Integer.parseInt(args[a+1]));
            }
            else { count++; }

            if ( args[a].indexOf("-money") != -1 ) {
                // System.out.println ("option money found with value : " + args[a+1]); }
                val2.money(Integer.parseInt(args[a+1]));
            }
            else { count++; }

            if ( args[a].indexOf("-techlevel") != -1 ) {
                // System.out.println ("option techlevel found with value : " + args[a+1]); }
                val2.techlevel(Integer.parseInt(args[a+1]));
            }
            else { count++; }

            if ( args[a].indexOf("-crates" ) != -1 ) {
                // System.out.println ("option crates found with value : " + args[a+1]); }
                val2.crates(Integer.parseInt(args[a+1]));
            }
            else { count++; }

            if ( args[a].indexOf("-ctf") != -1 ) {
                // System.out.println ("option ctf found with value : " + args[a+1]); }
                val2.crates(Integer.parseInt(args[a+1]));
            }
            else { count++; }

            if ( args[a].indexOf("-help") != -1) 			{ info.showParameters(); }
            else { count++; }

            if ( count > 9 ) { System.err.println ("ERROR : parameter not identified. (returned checksum " + count + ")"); }

            count = 0;
        }
    }

    public boolean checkAllParametersChecked(Values val, String[] args) {
        boolean error_occured = false;

        if (args[0].indexOf("-help") == -1) {

            if (val.getport() == 0) {
                System.err.println ("ERROR : parameter PORT [int] not found.");
                error_occured = true;
            }

            if (val.getmap().equals("none")) {
                System.err.println ("ERROR : parameter MAP [string] not found.");
                error_occured = true;
            }

            if (val.getnumplayers() == -1) {
                System.err.println ("ERROR : parameter NUMPLAYERS [int] not found.");
                error_occured = true;
            }

            if (val.getmaxplayers() == -1) {
                System.err.println ("ERROR : parameter MAXPLAYERS [int] not found.");
                error_occured = true;
            }

            if (val.getmoney() == -1) {
                System.err.println ("ERROR : parameter MONEY [int] not found.");
                error_occured = true;
            }

            if (val.gettechlevel() == -1) {
                System.err.println ("ERROR : parameter TECHLEVEL [int] not found.");
                error_occured = true;
            }

            if  (val.getcrates() == -1) {
                System.err.println ("ERROR : parameter CRATES [0 or 1] not found.");
                error_occured = true;
            }

            if (error_occured) { System.err.println ("Not acceptable errors in configuration via parameters"); }
        }
        else {
            error_occured = true;
        }


        return error_occured;
    }



}
