/*****************************************************************************
 * args.h - header file for args class, see args.cpp for more info
 *
 ****************************************************************************/
#ifndef __PARSE_H
#define __PARSE_H

class Args {
public:
    int parse(int argc, char **argv);
    Uint32 getVideoFlags() {
        return videoflags;
    }
    char *getMapName() {
        return map;
    }
    Uint16 getWidth() {
        return Width;
    }
    Uint16 getHeight() {
        return Height;
    }
    Uint16 getBpp() {
        return Bpp;
    }
    Uint8 getIntro() {
        return intro;
    }
    Uint8 getGameNum() {
        return gamenum;
    }
    bool getNosound() {
        return nosound;
    }
    bool getVQAPlayer() {
        return playvqa;
    }
    char* getVQAMovie() {
        return vqamovie;
    }
    SDL_GrabMode getGrabMode() {
        return grabmode;
    }
private:
    Uint32	videoflags;
    char	    map[8];		/* name of map */
    Uint16	Width;		/* Width cl argument */
    Uint16	Height;		/* Height cl argument */
    Uint16	Bpp;
    Uint8	intro;		/* Do we play intro? */
    Uint8   gamenum; // 0 == tib dawn, 1 == red alert, 2 == tib dawn demo
    bool nosound,playvqa;
    char vqamovie[15];
    SDL_GrabMode grabmode;
};

#endif
