#ifndef __FONT_H
#define __FONT_H
#include "SDL.h"
#include "font.h"
#include "shpimage.h"

class Font : SHPBase {
public:
    Font(char *fontname);
    ~Font();
    Uint32 getHeight();
    Uint32 calcStringWidth(char *string);
    void drawString(char *string, SDL_Surface *dest,
                    Uint32 startx, Uint32 starty);
private:
    SDL_Surface *fontimg;
    SDL_Rect *chrdest;
};
#endif
