#ifndef __IMAGECACHE_H
#define __IMAGECACHE_H

#ifdef _MSC_VER
#pragma warning (disable: 4503)
#pragma warning (disable: 4786)
#endif

#include <vector>
#include <map>
#include "SDL.h"
#include "shpimage.h"

class ImageCacheEntry {
public:
    SDL_Surface *image;
    SDL_Surface *shadow;
};

class ImageCache {
public:
    ImageCache();
    ~ImageCache();
    void setImagePool( std::vector<SHPImage *> *imagepool );
    ImageCacheEntry *getImage(Uint32 imgnum);
    void newCache();
private:
    std::map<Uint32, ImageCacheEntry*> *cache, *prevcache;
    std::vector<SHPImage *> *imagepool;
};

#endif
